Page MenuHomePhabricator

Striker gives fatal error when a SUL account already in use tries to attach to a second LDAP account
Closed, ResolvedPublic

Description

Error saving OAuth credentials. [req id: f1a2370b1b8a4e1a8827de96b9bce144]

When trying to connect a second Tools Labs account to the main Wikimedia account through OAuth, I get this error message every time I do it. I believe this is a bug, even though the connection of two accounts to one Wikimedia account is not possible.

Event Timeline

FriyMan created this task.May 9 2017, 3:37 PM
Restricted Application added a project: User-bd808. · View Herald TranscriptMay 9 2017, 3:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Gergo looked this up in logstash and found _mysql_exceptions.IntegrityError: (1062, "Duplicate entry 'FriyMan' for key 'sulname'"). Only being allowed to associate a SUL account with a single LDAP account is expected, but this should give the user a nice notice that the account is already in use rather than a fatal error.

Restricted Application added a project: Cloud-Services. · View Herald TranscriptMay 9 2017, 4:08 PM

Change 364140 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker@master] Show message when duplicate SUL attach occurs

https://gerrit.wikimedia.org/r/364140

bd808 moved this task from Backlog to Doing on the Striker board.Jul 10 2017, 3:35 AM

Lots of this in the logs today:
_mysql_exceptions.IntegrityError: (1062, "Duplicate entry 'Bergognone' for key 'sulname'")

Sorry @Bergognone, only one LDAP account per SUL account is currently allowed.

Andrew triaged this task as Normal priority.Jul 24 2017, 3:35 PM
bd808 renamed this task from Error saving OAuth credentials. [req id: f1a2370b1b8a4e1a8827de96b9bce144] bug to Striker gives fatal error when a SUL account already in use tries to attach to a second LDAP account.Jul 24 2017, 3:40 PM
bd808 updated the task description. (Show Details)

Change 364140 merged by BryanDavis:
[labs/striker@master] Show message when duplicate SUL attach occurs

https://gerrit.wikimedia.org/r/364140

Change 370139 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[labs/striker/deploy@master] Tool account creation and more

https://gerrit.wikimedia.org/r/370139

Change 370139 merged by jenkins-bot:
[labs/striker/deploy@master] Tool account creation and more

https://gerrit.wikimedia.org/r/370139

bd808 closed this task as Resolved.Aug 23 2017, 5:52 PM

Now gives the error message "Wikimedia unified account is already in use."

bd808 moved this task from Doing to Done on the Striker board.Aug 24 2017, 7:29 PM